#
# Conditional build:
%bcond_with	manx	# "x" suffix for manpage files
# NOTE: FHS 2.3 says that X man pages must have .[1-8]x extensions;
# but has been dropped in Xorg upstream and requires sed fixes to generate proper .so refs
# (to point to man[1-8] dirs, not man[1-8]x)
#
Summary:	Autoconf macros for xorg
Summary(pl.UTF-8):	Makra autoconfa dla xorg
Name:		xorg-util-util-macros
Version:	1.20.2
Release:	1%{?tld}
License:	MIT
Group:		X11/Development/Tools
Source0:	https://xorg.freedesktop.org/releases/individual/util/util-macros-%{version}.tar.xz
# Source0-md5:	5f683a1966834b0a6ae07b3680bcb863
Patch0:		%{name}-x.patch
Patch1:		%{name}-nosilent.patch
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
This is a set of autoconf macros used by the configure.ac scripts in
other Xorg modular packages, and is needed to generate new versions of
their configure scripts with autoconf.

%description -l pl.UTF-8
Ten pakiet zawiera makra autoconfa używane przez skrypty configure.ac
w innych pakietach modularnego Xorg. Jest wymagany do generowania
nowych wersji skryptów configure przy użyciu autoconfa.

%prep
%setup -q -n util-macros-%{version}
%{?with_manx:%patch0 -R -p1}
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_datadir}/util-macros
%{_aclocaldir}/xorg-macros.m4
%{_npkgconfigdir}/xorg-macros.pc
%changelog
* Tue Dec 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-util-util-macros.git;a=log;h=master

* Thu Nov 14 2024 Jakub Bogusz <qboosh@pld-linux.org> 05788a5
- updated to 1.20.2

* Wed Apr 17 2024 Jakub Bogusz <qboosh@pld-linux.org> 9f4a87c
- updated to 1.20.1

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 29e1175
- updated to 1.20.0

* Tue Apr 05 2022 Marcin Krol <hawk@tld-linux.org> 8b8a39f
- empty debugsource, disable it

* Mon Jan 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 1212561
- updated to 1.19.3

* Wed Mar 14 2018 Jakub Bogusz <qboosh@pld-linux.org> 4c732b5
- updated o 1.19.2

* Mon Jan 30 2017 Jakub Bogusz <qboosh@pld-linux.org> d1d09bf
- updated to 1.19.1

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> eb96bcd
- x32 rebuild
- release 2 (by relup.sh)

* Fri Mar 28 2014 Jakub Bogusz <qboosh@pld-linux.org> 3d403e3
- updated to 1.19.0

* Wed Dec 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ffa7a3
- up to 1.18.0

* Tue Sep 10 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a1ce63
- updated to 1.17.1
- make (man)x patch (b)conditional to choose between Xorg upstream and FHS 2.3 layout

* Mon May 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 1223ff3
- Revert "remove man3x from from xorg-macros.m4"

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> eb3559e
- remove man3x from from xorg-macros.m4

* Wed Mar 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 380a393
- updated to 1.17

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d172eb0
- up to 1.16.2

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> f80c4b6
- up to 1.16.1

* Wed Dec 07 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 925ebde
- up to 1.16.0

* Fri Jun 24 2011 Jakub Bogusz <qboosh@pld-linux.org> f02d2f3
- updated to 1.15.0

* Sun May 29 2011 Jakub Bogusz <qboosh@pld-linux.org> 015935d
- updated to 1.14.0

* Tue Mar 15 2011 Jakub Bogusz <qboosh@pld-linux.org> a8e6415
- updated to 1.13.0

